﻿using AutoWorkshopDataModels.Models;

namespace AutoWorkshopContracts.BindingModels
{
    public class ShopBindingModel : IShopModel
    {
        public int Id { get; set; }
        
        public string ShopName { get; set; } = string.Empty;
        
        public string Address { get; set; } = string.Empty;
        
        public DateTime OpeningDate { get; set; } = DateTime.Now;
        
        public Dictionary<int, (IRepairModel, int)> ShopRepairs { get; set; } = new();

        public int RepairsMaxCount { get; set; }
    }
}
