﻿using AutoWorkshopContracts.BindingModels;
using AutoWorkshopContracts.SearchModels;
using AutoWorkshopContracts.ViewModels;

namespace AutoWorkshopContracts.BusinessLogicContracts
{
    public interface IOrderLogic
    {
        List<OrderViewModel>? ReadList(OrderSearchModel? Model);
        bool CreateOrder(OrderBindingModel Model);
        bool TakeOrderInWork(OrderBindingModel Model);
        bool FinishOrder(OrderBindingModel Model);
        bool DeliveryOrder(OrderBindingModel Model);
    }
}
