﻿using AutoWorkshopContracts.BindingModels;
using AutoWorkshopContracts.SearchModels;
using AutoWorkshopContracts.ViewModels;

namespace AutoWorkshopContracts.StoragesContracts
{
    public interface IRepairStorage
    {
        List<RepairViewModel> GetFullList();
        List<RepairViewModel> GetFilteredList(RepairSearchModel Model);
        RepairViewModel? GetElement(RepairSearchModel Model);
        RepairViewModel? Insert(RepairBindingModel Model);
        RepairViewModel? Update(RepairBindingModel Model);
        RepairViewModel? Delete(RepairBindingModel Model);
    }
}
