﻿using AutoWorkshopContracts.BindingModels;
using AutoWorkshopContracts.SearchModels;
using AutoWorkshopContracts.ViewModels;

namespace AutoWorkshopContracts.StoragesContracts
{
    public interface IShopStorage
    {
        List<ShopViewModel> GetFullList();
        
        List<ShopViewModel> GetFilteredList(ShopSearchModel Model);
        
        ShopViewModel? GetElement(ShopSearchModel Model);
        
        ShopViewModel? Insert(ShopBindingModel Model);
        
        ShopViewModel? Update(ShopBindingModel Model);
        
        ShopViewModel? Delete(ShopBindingModel Model);
        
        bool Sell(SupplySearchModel Model);
        
        bool RestockingShops(SupplyBindingModel Model);
    }
}
