﻿using AutoWorkshopDataModels.Models;
using System.ComponentModel;

namespace AutoWorkshopContracts.ViewModels
{
    public class ShopViewModel : IShopModel
    {
        public int Id { get; set; }
        
        [DisplayName("Название")]
        public string ShopName { get; set; } = string.Empty;
        
        [DisplayName("Адрес")]
        public string Address { get; set; } = string.Empty;
        
        [DisplayName("Дата открытия")]
        public DateTime OpeningDate { get; set; }
        
        public Dictionary<int, (IRepairModel, int)> ShopRepairs { get; set; } = new();

        [DisplayName("Вместимость")]
        public int RepairsMaxCount { get; set; }
    }
}
