﻿using AutoWorkshopDataModels.Enums;

namespace AutoWorkshopDataModels.Models
{
    public interface IOrderModel : IId
    {
        int RepairId { get; }
        int ClientId { get; }
        int Count { get; }
        double Sum { get; }
        OrderStatus Status { get; }
        DateTime DateCreate { get; }
        DateTime? DateImplement { get; }
    }
}
