﻿namespace AutoWorkshopDataModels.Models
{
    public interface IShopModel : IId
    {
        string ShopName { get; }
        
        string Address { get; }
        
        DateTime OpeningDate { get; }
        
        Dictionary<int, (IRepairModel, int)> ShopRepairs { get; }

        int RepairsMaxCount { get; }
    }
}
