﻿using System.ComponentModel.DataAnnotations;

namespace AutoWorkshopDatabaseImplement.Models
{
    public class RepairComponent
    {
        public int Id { get; set; }
        
        [Required]
        public int RepairId { get; set; }
        
        [Required]
        public int ComponentId { get; set; }
        
        [Required]
        public int Count { get; set; }
        
        public virtual Component Component { get; set; } = new();
        
        public virtual Repair Repair { get; set; } = new();
    }
}
