﻿using System.ComponentModel.DataAnnotations;

namespace AutoWorkshopDatabaseImplement.Models
{
    public class ShopRepair
    {
        public int Id { get; set; }

        [Required]
        public int RepairId { get; set; }

        [Required]
        public int ShopId { get; set; }

        [Required]
        public int Count { get; set; }

        public virtual Shop Shop { get; set; } = new();

        public virtual Repair Repair { get; set; } = new();
    }
}
