﻿using AutoWorkshopContracts.ViewModels;

namespace AutoWorkshopBusinessLogic.OfficePackage.HelperModels
{
    public class PdfGroupedOrdersInfo : IDocumentInfo
    {
        public string FileName { get; set; } = string.Empty;
        
        public string Title { get; set; } = string.Empty;
        
        public DateTime DateFrom { get; set; }
        
        public DateTime DateTo { get; set; }
        
        public List<ReportGroupedOrdersViewModel> GroupedOrders { get; set; } = new();
    }
}
