﻿using AutoWorkshopDataModels.Enums;
using AutoWorkshopDataModels.Models;

namespace AutoWorkshopContracts.BindingModels
{
    public class OrderBindingModel : IOrderModel
    {
        public int Id { get; set; }
        public int RepairId { get; set; }
        public int ClientId { get; set; }
        public int Count { get; set; }
        public double Sum { get; set; }
        public OrderStatus Status { get; set; } = OrderStatus.Undefined;
        public DateTime DateCreate { get; set; } = DateTime.Now;
        public DateTime? DateImplement { get; set; }
    }
}
