﻿using AutoWorkshopDataModels.Models;

namespace AutoWorkshopContracts.BindingModels
{
    public class RepairBindingModel : IRepairModel
    {
        public int Id { get; set; }
        public string RepairName { get; set; } = string.Empty;
        public double Price { get; set; }
        public Dictionary<int, (IComponentModel, int)> RepairComponents
        {
            get;
            set;
        } = new();
    }
}
