﻿using AutoWorkshopContracts.BindingModels;
using AutoWorkshopContracts.SearchModels;
using AutoWorkshopContracts.ViewModels;

namespace AutoWorkshopContracts.BusinessLogicContracts
{
    public interface IClientLogic
    {
        List<ClientViewModel>? ReadList(ClientSearchModel? Model);
        
        ClientViewModel? ReadElement(ClientSearchModel Model);
        
        bool Create(ClientBindingModel Model);
        
        bool Update(ClientBindingModel Model);
        
        bool Delete(ClientBindingModel Model);
    }
}