﻿using AutoWorkshopContracts.BindingModels;
using AutoWorkshopContracts.SearchModels;
using AutoWorkshopContracts.ViewModels;

namespace AutoWorkshopContracts.BusinessLogicContracts
{
    public interface IComponentLogic
    {
        List<ComponentViewModel>? ReadList(ComponentSearchModel? Model);
        ComponentViewModel? ReadElement(ComponentSearchModel Model);
        bool Create(ComponentBindingModel Model);
        bool Update(ComponentBindingModel Model);
        bool Delete(ComponentBindingModel Model);
    }
}
