﻿using AutoWorkshopContracts.BindingModels;
using AutoWorkshopContracts.SearchModels;
using AutoWorkshopContracts.ViewModels;

namespace AutoWorkshopContracts.BusinessLogicContracts
{
    public interface IRepairLogic
    {
        List<RepairViewModel>? ReadList(RepairSearchModel? Model);
        RepairViewModel? ReadElement(RepairSearchModel Model);
        bool Create(RepairBindingModel Model);
        bool Update(RepairBindingModel Model);
        bool Delete(RepairBindingModel Model);
    }
}
