﻿using AutoWorkshopContracts.BindingModels;
using AutoWorkshopContracts.ViewModels;

namespace AutoWorkshopContracts.BusinessLogicContracts
{
    public interface IReportLogic
    {
        List<ReportRepairComponentViewModel> GetRepairComponents();
        
        List<ReportOrdersViewModel> GetOrders(ReportBindingModel Model);

        List<ReportShopsViewModel> GetShops();

        List<ReportGroupedOrdersViewModel> GetGroupedOrders();

        void SaveRepairsToWordFile(ReportBindingModel Model);
        
        void SaveRepairComponentToExcelFile(ReportBindingModel Model);
        
        void SaveOrdersToPdfFile(ReportBindingModel Model);

        void SaveShopsToWordFile(ReportBindingModel Model);
        
        void SaveShopsToExcelFile(ReportBindingModel Model);
        
        void SaveGroupedOrdersToPdfFile(ReportBindingModel Model);
    }
}
