﻿using AutoWorkshopContracts.BindingModels;
using AutoWorkshopContracts.SearchModels;
using AutoWorkshopContracts.ViewModels;

namespace AutoWorkshopContracts.BusinessLogicsContracts
{
    public interface IShopLogic
    {
        List<ShopViewModel>? ReadList(ShopSearchModel? Model);
        
        ShopViewModel? ReadElement(ShopSearchModel Model);
        
        bool Create(ShopBindingModel Model);
        
        bool Update(ShopBindingModel Model);
        
        bool Delete(ShopBindingModel Model);
        
        bool MakeSupply(SupplyBindingModel Model);

        bool MakeSell(SupplySearchModel Model);
    }
}
