﻿using AutoWorkshopContracts.BindingModels;
using AutoWorkshopContracts.SearchModels;
using AutoWorkshopContracts.ViewModels;

namespace AutoWorkshopContracts.StoragesContracts
{
    public interface IComponentStorage
    {
        List<ComponentViewModel> GetFullList();
        List<ComponentViewModel> GetFilteredList(ComponentSearchModel Model);
        ComponentViewModel? GetElement(ComponentSearchModel Model);
        ComponentViewModel? Insert(ComponentBindingModel Model);
        ComponentViewModel? Update(ComponentBindingModel Model);
        ComponentViewModel? Delete(ComponentBindingModel Model);
    }
}
