﻿using AutoWorkshopDataModels.Models;
using System.ComponentModel;

namespace AutoWorkshopContracts.ViewModels
{
    public class RepairViewModel : IRepairModel
    {
        public int Id { get; set; }

        [DisplayName("Название ремонта")]        
        public string RepairName { get; set; } = string.Empty;

        [DisplayName("Цена")]        
        public double Price { get; set; }
        
        public Dictionary<int, (IComponentModel, int)> RepairComponents
        {
            get;
            set;
        } = new();
    }
}
